@import "../../../../assets/scss/index.scss";

.page-menu {
	&__logo {
		display: flex;
		flex-direction: column;
		margin: 0 auto 20px;
    padding: 0 35px;

		color: $colour__text-black;
		text-align: center;
		text-decoration: none;

		img {
			width: 230px;
			transition: all 0.5s;
			&:hover {
				transform: scale(1.1);
			}
		}

		i {
			margin: 0;
			padding: 0;
			font-size: 1rem;
		}
	}

	&__list {
		list-style: none;

		&-item {
			margin: 0;
			padding: 0;
			border: 0;
			font-weight: 400;
			font-size: 1.5rem;
			vertical-align: baseline;

			&__link {
				color: $colour__text-gray;
				text-decoration: none;

				display: block;
				line-height: 1.2rem;
				position: relative;
				text-align: right;
				overflow: hidden;
				font-size: 24px;
				padding: 15px 35px;
				text-transform: uppercase;
				transition: all 0.3s;

				&:hover {
					color: $colour__text-green;
					font-weight: 700;
				}

				&--selected{
					color: $colour__text-green;
					font-weight: 700;
				}
			}
		}
	}
}

@include media(desktop) {
	.page-menu {
		display: flex;
    flex-direction: column;

		&__list {
			display: flex;
			justify-content: center;
			padding: 0;
		}
	}
}
